<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionObjectSpawnTools Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d74/a02931.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionObjectSpawnTools Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa79f46fa1fb53f04b3cf6ff296517c07"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#aa79f46fa1fb53f04b3cf6ff296517c07">~ExpansionObjectSpawnTools</a> ()</td></tr>
<tr class="separator:aa79f46fa1fb53f04b3cf6ff296517c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a90f8abb0d69e064ea84a3e337e3d070c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#a90f8abb0d69e064ea84a3e337e3d070c">FindMissionFiles</a> (string missionFolder, bool loadObjects, bool loadTraders)</td></tr>
<tr class="separator:a90f8abb0d69e064ea84a3e337e3d070c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176ce2306213b8e9cf84eb5e2dd6459a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#a176ce2306213b8e9cf84eb5e2dd6459a">FindMissionFiles</a> (bool loadObjects, bool loadTraders)</td></tr>
<tr class="separator:a176ce2306213b8e9cf84eb5e2dd6459a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5901cfa0e2a7ed296e9dc1a3a884c02"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#ac5901cfa0e2a7ed296e9dc1a3a884c02">LoadMissionObjects</a> (array&lt; string &gt; files)</td></tr>
<tr class="separator:ac5901cfa0e2a7ed296e9dc1a3a884c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71c0bf1ab84a473eddb0e90c580c1cd7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#a71c0bf1ab84a473eddb0e90c580c1cd7">FixObjectCollision</a> (Object obj)</td></tr>
<tr class="separator:a71c0bf1ab84a473eddb0e90c580c1cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e2bbcb561d3c2e4c6a14fe2843da58"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#a39e2bbcb561d3c2e4c6a14fe2843da58">LoadMissionObjectsFile</a> (string name)</td></tr>
<tr class="separator:a39e2bbcb561d3c2e4c6a14fe2843da58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fe516a918a443657360229a8e683f6b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#a0fe516a918a443657360229a8e683f6b">ProcessMissionObject</a> (Object obj)</td></tr>
<tr class="separator:a0fe516a918a443657360229a8e683f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af486b5904ab3c510028932b5076ac5c1"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#af486b5904ab3c510028932b5076ac5c1">ProcessGear</a> (EntityAI entity, string gear)</td></tr>
<tr class="separator:af486b5904ab3c510028932b5076ac5c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca0ddfb65dce58fa8ec9e29cf75dc953"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#aca0ddfb65dce58fa8ec9e29cf75dc953">GetObjectFromMissionFile</a> (FileHandle file, out string name, out vector position, out vector rotation, out string special=&quot;false&quot;)</td></tr>
<tr class="separator:aca0ddfb65dce58fa8ec9e29cf75dc953"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a65ba1628b69c635281c840658eea9f66"><td class="memItemLeft" align="right" valign="top">static ref array&lt; EntityAI &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#a65ba1628b69c635281c840658eea9f66">firePlacesToDelete</a> = new array&lt;EntityAI&gt;</td></tr>
<tr class="separator:a65ba1628b69c635281c840658eea9f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa126b4a4ee543b809a11cfbe467fab31"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#aa126b4a4ee543b809a11cfbe467fab31">objectFilesFolder</a></td></tr>
<tr class="separator:aa126b4a4ee543b809a11cfbe467fab31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7187400cc2059bde996c5db6a214e31"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d74/a02931.html#af7187400cc2059bde996c5db6a214e31">traderFilesFolder</a></td></tr>
<tr class="separator:af7187400cc2059bde996c5db6a214e31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../dd/dad/a01235.html">ExpansionObjectSpawnTools.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00013">13</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa79f46fa1fb53f04b3cf6ff296517c07" name="aa79f46fa1fb53f04b3cf6ff296517c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa79f46fa1fb53f04b3cf6ff296517c07">&#9670;&#160;</a></span>~ExpansionObjectSpawnTools()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionObjectSpawnTools::~ExpansionObjectSpawnTools </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00019">19</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a176ce2306213b8e9cf84eb5e2dd6459a" name="a176ce2306213b8e9cf84eb5e2dd6459a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a176ce2306213b8e9cf84eb5e2dd6459a">&#9670;&#160;</a></span>FindMissionFiles() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::FindMissionFiles </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>loadObjects</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>loadTraders</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00034">34</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="a90f8abb0d69e064ea84a3e337e3d070c" name="a90f8abb0d69e064ea84a3e337e3d070c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90f8abb0d69e064ea84a3e337e3d070c">&#9670;&#160;</a></span>FindMissionFiles() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::FindMissionFiles </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>missionFolder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>loadObjects</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>loadTraders</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>No-op, only kept for backwards compat with old init files </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00029">29</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="a71c0bf1ab84a473eddb0e90c580c1cd7" name="a71c0bf1ab84a473eddb0e90c580c1cd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71c0bf1ab84a473eddb0e90c580c1cd7">&#9670;&#160;</a></span>FixObjectCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::FixObjectCollision </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00078">78</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="aca0ddfb65dce58fa8ec9e29cf75dc953" name="aca0ddfb65dce58fa8ec9e29cf75dc953"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca0ddfb65dce58fa8ec9e29cf75dc953">&#9670;&#160;</a></span>GetObjectFromMissionFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ExpansionObjectSpawnTools::GetObjectFromMissionFile </td>
          <td>(</td>
          <td class="paramtype">FileHandle&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out vector&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out vector&#160;</td>
          <td class="paramname"><em>rotation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>special</em> = <code>&quot;false&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00368">368</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="ac5901cfa0e2a7ed296e9dc1a3a884c02" name="ac5901cfa0e2a7ed296e9dc1a3a884c02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5901cfa0e2a7ed296e9dc1a3a884c02">&#9670;&#160;</a></span>LoadMissionObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::LoadMissionObjects </td>
          <td>(</td>
          <td class="paramtype">array&lt; string &gt;&#160;</td>
          <td class="paramname"><em>files</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00067">67</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="a39e2bbcb561d3c2e4c6a14fe2843da58" name="a39e2bbcb561d3c2e4c6a14fe2843da58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39e2bbcb561d3c2e4c6a14fe2843da58">&#9670;&#160;</a></span>LoadMissionObjectsFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::LoadMissionObjectsFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00090">90</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="af486b5904ab3c510028932b5076ac5c1" name="af486b5904ab3c510028932b5076ac5c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af486b5904ab3c510028932b5076ac5c1">&#9670;&#160;</a></span>ProcessGear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::ProcessGear </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>gear</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Spawn weapon in hands</p>
<p >Spawn everything else in inventory</p>

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00278">278</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="a0fe516a918a443657360229a8e683f6b" name="a0fe516a918a443657360229a8e683f6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fe516a918a443657360229a8e683f6b">&#9670;&#160;</a></span>ProcessMissionObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ExpansionObjectSpawnTools::ProcessMissionObject </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Add bark</p>
<p >Add firewood</p>
<p >Can only increase stack over 1 AFTER it has been attached because stack max depends on slot!</p>
<p >Add sticks</p>
<p >Can only increase stack over 5 AFTER it has been attached because stack max depends on slot!</p>
<p >Need to open barrel first, otherwise can't add items</p>
<p >Add bark</p>
<p >Add firewood</p>
<p >Can only increase stack over 1 AFTER it has been attached because stack max depends on slot!</p>
<p >Add sticks</p>
<p >Can only increase stack over 5 AFTER it has been attached because stack max depends on slot!</p>
<p >Flickering</p>

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00147">147</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a65ba1628b69c635281c840658eea9f66" name="a65ba1628b69c635281c840658eea9f66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65ba1628b69c635281c840658eea9f66">&#9670;&#160;</a></span>firePlacesToDelete</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;EntityAI&gt; ExpansionObjectSpawnTools::firePlacesToDelete = new array&lt;EntityAI&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00015">15</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="aa126b4a4ee543b809a11cfbe467fab31" name="aa126b4a4ee543b809a11cfbe467fab31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa126b4a4ee543b809a11cfbe467fab31">&#9670;&#160;</a></span>objectFilesFolder</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionObjectSpawnTools::objectFilesFolder</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00016">16</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<a id="af7187400cc2059bde996c5db6a214e31" name="af7187400cc2059bde996c5db6a214e31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7187400cc2059bde996c5db6a214e31">&#9670;&#160;</a></span>traderFilesFolder</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionObjectSpawnTools::traderFilesFolder</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dad/a01235_source.html#l00017">17</a> of file <a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/<a class="el" href="../../dd/dad/a01235_source.html">expansionobjectspawntools.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d74/a02931.html">ExpansionObjectSpawnTools</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
